## bugs-everywhere 0.0.193+bzr.r217

=== Makefile ===
#! /usr/bin/make -f
# :vim: filetype=make : -*- makefile; coding: utf-8; -*-

# Makefile
# Part of Bugs Everywhere, a distributed bug tracking system.
#
# Copyright © 2008 Ben Finney <ben+python@benfinney.id.au>
# This is free software; you may copy, modify and/or distribute this work
# under the terms of the GNU General Public License, version 2 or later.
# No warranty expressed or implied. See the file COPYING for details.

# Makefile for Bugs Everywhere project

SHELL = /bin/bash
PATH = /usr/bin:/bin

# Directories with semantic meaning
DOC_DIR := doc

# Variables that will be extended by module include files
GENERATED_FILES :=
CODE_MODULES :=
CODE_PROGRAMS :=

# List of modules (directories) that comprise our 'make' project
MODULES += ${DOC_DIR}

RM = rm


.PHONY: all
all: build

# Include the make data for each module
include $(patsubst %,%/module.mk,${MODULES})


.PHONY: build
build:

.PHONY: install
install:


.PHONY: clean
clean:
	$(RM) -rf ${GENERATED_FILES}

## bugs-everywhere 1.1.1

=== Makefile ===
#! /usr/bin/make -f
# :vim: filetype=make : -*- makefile; coding: utf-8; -*-

# Makefile
# Part of Bugs Everywhere, a distributed bug tracking system.
#
# Copyright (C) 2008-2012 Anton Batenev <abbat@abbat>
#                         Ben Finney <benf@cybersource.com.au>
#                         Chris Ball <cjb@laptop.org>
#                         Eric Kow <eric.kow@gmail.com>
#                         Gianluca Montecchi <gian@grys.it>
#                         Matěj Cepl <mcepl@redhat.com>
#                         W. Trevor King <wking@tremily.us>
#
# This file is part of Bugs Everywhere.
#
# Bugs Everywhere is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 2 of the License, or (at your option) any
# later version.
#
# Bugs Everywhere is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# Bugs Everywhere.  If not, see <http://www.gnu.org/licenses/>.

SHELL = /bin/bash
RM = /bin/rm
RST2MAN = /usr/bin/rst2man
RST2HTML = /usr/bin/rst2html

#PATH = /usr/bin:/bin  # must include sphinx-build for 'sphinx' target.

#INSTALL_OPTIONS = "--prefix=/usr/local"
INSTALL_OPTIONS = "--user"

# Select the documentation you wish to build
DOC = sphinx man

# Directories with semantic meaning
DOC_DIR := doc
MAN_DIR := ${DOC_DIR}/man

MANPAGES = be.1
LIBBE_VERSION := libbe/_version.py
GENERATED_FILES := build $(LIBBE_VERSION)

MANPAGE_FILES = $(patsubst %,${MAN_DIR}/%,${MANPAGES})
MANPAGE_HTML =  $(patsubst %,${MAN_DIR}/%.html,${MANPAGES})
GENERATED_FILES += ${MANPAGE_FILES} ${MANPAGE_HTML}


.PHONY: all
all: build


.PHONY: build
build: $(LIBBE_VERSION)
	python setup.py build

.PHONY: doc
doc: $(DOC)

.PHONY: install
install: build doc
	python setup.py install ${INSTALL_OPTIONS}

test: build
	python test.py

.PHONY: clean
clean:
	$(RM) -rf ${GENERATED_FILES}
	$(MAKE) -C ${DOC_DIR} clean


.PHONY: libbe/_version.py
libbe/_version.py:
	echo "# -*- coding: utf-8 -*-" > $@
	git log -1 --encoding=UTF-8 --date=short --pretty='format:"Autogenerated by make libbe/_version.py"%nversion_info = {%n    "date":"%cd",%n    "revision":"%H",%n    "committer":"%cn"}%n' >> $@

.PHONY: man
man: ${MANPAGE_FILES}

%.1: %.1.txt
	$(RST2MAN) $< > $@
%.1.html: %.1.txt
	$(RST2HTML) $< > $@

.PHONY: sphinx
sphinx:
	$(MAKE) -C ${DOC_DIR} html

=== doc/Makefile ===
# Makefile for Sphinx documentation
#
RM = /bin/rm

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = .build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
	@echo "  libbe     to autogenerate files for all libbe modules"

clean:
	$(RM) -rf $(BUILDDIR) libbe

html: libbe
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: libbe
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle: libbe
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: libbe
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: libbe
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp: libbe
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/bugs-everywhere.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/bugs-everywhere.qhc"

latex: libbe
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes: libbe
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck: libbe
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest: libbe
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY : libbe
libbe :
	python2.7 generate-libbe-txt.py

=== debian/changelog ===
bugs-everywhere (1.1.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace python-support dependency with dh-python (Closes: #785959).
  * Drop unnecessary Provides: ${python:Provides}.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 19 Aug 2015 22:58:48 +0200

bugs-everywhere (1.1.1-3) unstable; urgency=low

  * add missing python-jinja2 dependency (Closes: #731579)

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 06 Dec 2013 21:16:46 -0500

bugs-everywhere (1.1.1-2) unstable; urgency=low

  * Patch: ship missing source for jquery.corners. Sent upstream.
  * Update copyright notice to cover for jquery.corners.
  * Remove other patches with upstream after review:
    * generate our own libbe/_version.py file without git, and disable it
      without a patch - this requires a new build-dependency, for
      parse-changelogs
    * hardcode build parameters on the commandline instead of making the
      Makefile flexible

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 29 Nov 2013 12:36:26 -0500

bugs-everywhere (1.1.1-1) unstable; urgency=low

  * Take over orphan package, give maintainership to maxigas, put myself
    as uploader.
  * New upstream release (Closes: #694744).
  * Manpage installed now managed upstream, drop our manual install.
  * We manage the libbe/_version.py file manually in the git repository
    since we loose the git repo when building with
    git-buildpackge. Instructions are in debian/README.source.
  * Start using (d)git for version control.
  * Add nympydoc dependency.
  * Update to standards 3.9.4, needed to add some targets.
  * Use single-debian-patch so we don't have to maintain individual
    patches from git, patches will be sent upstream properly.
  * Disable tests, as they fail in a sid chroot.
  * Switch to debhelper 9.

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 20 Oct 2013 16:04:00 -0400

bugs-everywhere (1.0.1-1) UNRELEASED; urgency=low

  * First upstream release
    (Closes: bug#609519).
    + Now supports Monotone and Darcs.
  * debian/watch:
    + Specify upstream tarball location.
  * debian/control:
    + Add new dependencies for upstream version:
      * ‘python-yaml’ for new data format
      * ‘xsltproc’ and ‘python-sphinx’ for building documentation
    + Depend on current package name for Git.
    + Add VCS backends as ‘Build-Depends’ for automated tests.
    + Conform to “Standards-Version: 3.9.2”.
  * debian/control, debian/rules:
    + Convert to ‘dh_python2’ packaging helper.
    + Add recommended build targets.
  * debian/rules, debian/get-orig-source:
    + Use official upstream tarball for pristine source.
  * debian/copyright:
    + Update notices, reformat file to candidate DEP-5 format.
  * debian/source/format:
    + Switch to source format “3.0 (quilt)”.

 -- Ben Finney <ben+debian@benfinney.id.au>  Sat, 30 Jul 2011 16:35:20 +1000

bugs-everywhere (0.0.193+bzr.r217-2) unstable; urgency=low

  * debian/control:
    + Improve synopsis description.
    + Update to ‘Standards-Version: 3.8.2’; no changes required.

 -- Ben Finney <ben+debian@benfinney.id.au>  Fri, 24 Jul 2009 16:46:00 +1000

bugs-everywhere (0.0.193+bzr.r217-1) UNRELEASED; urgency=low

  * debian/control:
    + Update to ‘Standards-Version: 3.8.1’.
    + Specify ‘Build-Depends-Indep’ only, since we don't build any
      arch-dependent packages.
    + Relax to ‘Build-Depends-Indep: python’ instead of ‘python-all-dev’,
      since we're not building any extension modules.
    + Describe supported VCS back-ends in description.
    + Set ‘VCS-*’ fields to point to actual branch.
  * debian/rules:
    + Upgrade packaging to debhelper 7.
    + Add ‘get-orig-source’ target as per Policy §4.9.
    + Install ‘NEWS’ file as upstream changelog.
  * debian/control, debian/rules:
    + Switch to ‘python-support’ for Python package management.
  * debian/get-orig-source:
    + New program to fetch upstream source archive.
  * debian/watch:
    + Satisfy Policy §4.11 by adding this file.
    + Document lack of released upstream source archives.
  * debian/copyright:
    + Convert to proposed machine-parseable format.
    + Add copyright notices as found in upstream source files.
  * debian/docs:
    + Add ‘AUTHORS’ file.

 -- Ben Finney <ben+debian@benfinney.id.au>  Wed, 10 Jun 2009 01:23:48 +1000

bugs-everywhere (0.0.193-2~rc1) UNRELEASED; urgency=low

  * Add VCS-bzr field to debian/control.

 -- Ben Finney <ben+debian@benfinney.id.au>  Tue, 22 Apr 2008 22:54:38 +1000

bugs-everywhere (0.0.193-1.3) UNRELEASED; urgency=low

  * debian/copyright:
    - Convert to machine-parseable format, as per
      <URL:http://wiki.debian.org/Proposals/CopyrightFormat>.
    - Cover all currently known copyright holders.

 -- Ben Finney <ben+debian@benfinney.id.au>  Tue, 22 Apr 2008 20:26:14 +1000

bugs-everywhere (0.0.193-1.2) UNRELEASED; urgency=low

  * debian/README.debian:
    - Useless, remove.
  * debian/compat:
    - Matching version with debhelper.

 -- Ben Finney <ben+debian@benfinney.id.au>  Mon, 21 Apr 2008 22:17:01 +1000

bugs-everywhere (0.0.193-1.1) UNRELEASED; urgency=low

  * doc/be.1.sgml:
    - Better SGML markup for manpage.
  * debian/control:
    - Enumerate supported back-end VCS systems.

 -- Ben Finney <ben+debian@benfinney.id.au>  Mon, 21 Apr 2008 19:27:25 +1000

bugs-everywhere (0.0.193-1) UNRELEASED; urgency=low

  * Initial Debian release (Closes: #477125).

 -- Ben Finney <ben+debian@benfinney.id.au>  Mon, 21 Apr 2008 17:08:47 +1000

bugs-everywhere (0.0.193-0.1) UNRELEASED; urgency=low

  * Initial work on Debianised package.

 -- Ben Finney <ben+debian@benfinney.id.au>  Fri, 18 Apr 2008 19:41:41 +1000

=== debian/control ===
Source: bugs-everywhere
Section: devel
Priority: extra
Maintainer: maxigas <maxigas@anargeek.net>
Uploaders: Antoine Beaupré <anarcat@debian.org>
Homepage: http://bugseverywhere.org/
VCS-git: git://git.debian.org/git/dgit-repos/repos/bugs-everywhere.git
VCS-Browser: http://anonscm.debian.org/gitweb/?p=dgit-repos/repos/bugs-everywhere.git;a=summary
Build-Depends-Indep:
    debhelper (>= 9),
    dh-python,
    libparse-debianchangelog-perl,
    docbook-to-man,
    xsltproc,
    python-sphinx,
    python-yaml,
    bzr, git, mercurial, tla, darcs, monotone, rcs,
    python-numpydoc,
    python
Standards-Version: 3.9.4

Package: bugs-everywhere
Architecture: all
Depends:
    python-yaml, python-jinja2,
    ${python:Depends}, ${misc:Depends}
Recommends:
    bzr |
    git |
    mercurial |
    tla | bazaar |
    darcs |
    monotone |
    rcs
Description: distributed bug tracking system using VCS storage
 Bugs Everywhere is a “distributed bug tracker”, designed to
 complement a distributed version control system (VCS). By using a
 distributed VCS as a back-end for bug state, it gains several
 convenient features:
 .
  * Bugs and code that live on branches are tracked together.
  * Users can fully modify bug state while offline.
  * When a user checks out a project’s source code, she gets the current
    bug state for free.
  * A web interface to the bug database becomes just another client that
    merges with the main repository.
 .
 Bugs Everywhere currently supports the following VCS back-ends:
 .
  * GNU Arch (tla, baz)
  * Bazaar (bzr)
  * git
  * Mercurial (hg)
  * Darcs
  * Monotone (mtn)
  * GNU RCS

=== debian/rules ===
#! /usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
#
# debian/rules
# Part of Debian ‘bugs-everywhere’ package.
#
# Copyright © 2008–2011 Ben Finney <ben+debian@benfinney.id.au>
# This is free software; you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License, version 2 or later.
# No warranty expressed or implied.
# See the file ‘/usr/share/common-licenses/GPL-2’ for details.

%:
	dh $@ --with=python2

override_dh_auto_install:
	dh_auto_install -- INSTALL_OPTIONS="--install-layout=deb --root=$(CURDIR)/debian/bugs-everywhere --prefix=/usr" LIBBE_VERSION=

# this mess is to automatically generate the _version.py file that contains git commit metadata
# since we usually build in a clean export of the git repository, the upstream build system fails
# so we disable that build and build it ourselves

# generate metadata that willbe included in the file
version=$(shell parsechangelog --format=rfc822 | grep Version: | cut -d' ' -f2-)
date=$(shell date +%Y-%m-%d)
LIBBE_VERSION:=libbe/_version.py

show-version: $(LIBBE_VERSION)
	cat $(LIBBE_VERSION)

# disable generation of the metadata, hook our generation in there
override_dh_auto_build: $(LIBBE_VERSION)
	dh_auto_build -- LIBBE_VERSION=

# generate version file based on our generated metadata
$(LIBBE_VERSION):
	printf "# -*- coding: utf-8 -*-\n# Autogenerated by debian/rules libbe/_version.py\nversion_info = {\n    'date': '$(date)',\n    'revision': '$(version)',\n    'committer': 'Debian build scripts'}\n" > $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(LIBBE_VERSION)

override_dh_auto_test:


override_dh_installchangelogs:
	dh_installchangelogs -k NEWS


# Local Variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :

=== debian/watch ===
# debian/watch
# Debian uscan file for ‘bugs-everywhere’ package.
# Manpage: uscan(1)

# Compulsory line, this is a version 3 file.
version=3

# Current version from project site.
http://download.bugseverywhere.org/releases/be-(.+)\.tar\.gz
